Skip to main content
GET
/
v1
/
inbound-source-configs
List inbound source configs
curl --request GET \
  --url https://sta.sandbox.lerian.net/v1/inbound-source-configs \
  --header 'Authorization: <api-key>'
import requests

url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasMore": true,
  "items": [
    {
      "bacenSystemCode": "<string>",
      "bacenSystemFilterCode": "<string>",
      "createdAt": "<string>",
      "credentialId": "<string>",
      "deletedAt": "<string>",
      "displayName": "<string>",
      "id": "<string>",
      "intervalSeconds": 123,
      "isEnabled": true,
      "maxFileSizeBytes": 123,
      "retentionDays": 123,
      "sourceProduct": "<string>",
      "updatedAt": "<string>",
      "urgencyEnabled": true
    }
  ],
  "nextCursor": "<string>"
}
{}
{}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Query Parameters

limit
integer

Page size (default 20, max 100)

cursor
string

Opaque continuation token

Response

OK

hasMore
boolean
items
object[]
nextCursor
string